%define module_name	drm-via
%define module_version	2004.06.24
%define module_release	alt0.1

%define kversion	2.4.22
%define krelease	alt36
%define flavour		std-up

%define module_dir	/lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.36

Summary: The Direct Rendering Infrastructure modules for VIA Unichrome
License: GPL
Group: System/Kernel and hardware
URL: http://dri.sourceforge.net/
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux

BuildPreReq: kernel-build-tools
BuildRequires: modutils
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version
BuildRequires: %kgcc_package

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq: modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
The  Direct  Rendering  Infrastructure,  also  known as the DRI, is a framework
for allowing direct access to graphics hardware  in a safe and efficient
manner.  It includes changes to the X server, to several client libraries, and
to the kernel. The first major use for the DRI is to create fast OpenGL
implementations.

These are modules for your ALT Linux system.

%prep
rm -rf kernel-source-%module_name-%module_version
tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%setup -D -T -n kernel-source-%module_name-%module_version

%build
%make_build KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour CC=%kgcc

%install
%makeinstall MODULE_INSTALL_DIR=%buildroot%module_dir

%post
[ -n "$DURING_INSTALL" ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ -n "$DURING_INSTALL" ] || \
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Thu Jun 24 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.24-alt0.1.36
- Replaced with version from http://dri.sourceforge.net.

* Thu Jun 24 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.22-alt0.1.36
- Backport to kernel 2.4.22.

* Tue Jun 22 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.22-alt1.36
- First build for ALT Linux.

